﻿@model JavnaNabava.ViewModels.TroskovnikPonudeViewModel

@{
    ViewData["Title"] = "Marino Totić";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<h1>Popis ponuda troškovnika</h1>
<p>
    <small>
        Ovo je Master stranica (složeni tablični prikaz nije implementiran). Na ovoj stranici se može provjeriti sortiranje i straničenje. Prilikom klika na gumb delete, korisnika se pita želi li stvarno izbrisati ponudu troškovnika. U tablici su prikazane stvarne vrijednosti, a ne ID stranih ključeva.
    </small>
</p>

<a asp-action="Create">Unos nove stavke</a>

<pager page-info="@Model.PagingInfo" page-title="Unesite željenu stranicu"
       page-action="Index" class="float-right">
</pager>

<table class="table table-sm table-striped table-hover" id="table_sif">
    <thead>
        <tr>
            @{
                string[] nazivi = { "Naslov", "Opis", "Ukupna Cijena", "Ponuditelj" };
                for (int i = 1; i <= nazivi.Length; i++)
                {
                    <th>
                        <a asp-route-sort="@i"
                           asp-route-page="@Model.PagingInfo.CurrentPage"
                           asp-route-ascending="@(Model.PagingInfo.Sort == @i ? !Model.PagingInfo.Ascending : true)">
                            @nazivi[i - 1]
                        </a>
                    </th>
                }
            }
            <th></th>
        </tr>
    </thead>

    <tbody>
        @foreach (var stavka in Model.ponude)
        {
            <partial name="Row" model="stavka" />
        }
    </tbody>
</table>

@section scripts{
    <script>
        $(function() {
            SetDeleteAjax(".deleteajax", '@Url.Action("Delete")', 'idstavke');
            SetEditAjax(".editajax", '@Url.Action("Edit")', 'idstavke');
        });
    </script>
}